# $Revision: 1.22 $, $Date: 2012/02/03 19:33:22 $
Summary:	J.Engelh's general-purpose library
Summary(pl.UTF-8):	Biblioteka ogólnego przeznaczenia J. Engelha
Name:		libHX
Version:	3.12.1
Release:	1
License:	LGPL v2 or LGPL v3
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libhx/%{name}-%{version}.tar.xz
# Source0-md5:	de66ebb98e73ffd4831090257a7b9533
URL:		http://libhx.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz >= 1:4.999.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
J. Engelh's general-purpose library for:
- A+R/B trees to use for lists or maps (associative arrays)
- Deques (double-ended queues) (Stacks (LIFO) / Queues (FIFOs))
- platform independent opendir-style directory access
- platform independent dlopen-style shared library access
- auto-storage strings with direct access
- command line option (argv) parser
- shell-style config file parser
- platform independent random number generator with transparent
  /dev/urandom support
- various string, memory and zvec ops

%description -l pl.UTF-8
Biblioteka J. Engelha ogólnego przeznaczenia, obejmująca:
- drzewa czerwono-czarne do list i tablic asocjacyjnych
- kolejki o dwóch końcach (stosy LIFO/kolejki FIFO)
- niezależny od platformy dostęp do katalogów w stylu opendir
- niezależny od platformy dostęp do bibliotek współdzielonych w stylu
  dlopen
- łańcuchy znaków z automatycznym zarządzaniem pamięcią i bezpośrednim
  dostępem
- analizator opcji linii poleceń (argv)
- analizator plików konfiguracyjnych w stylu powłoki sh
- niezależny od platformy generator liczb losowych z przezroczystą
  obsługą /dev/urandom
- różne operacje na łańcuchach znaków, pamięci i strukturach zvec

%package devel
Summary:	libHX header files
Summary(pl.UTF-8):	Pliki nagłówkowe libHX
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libHX header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe libHX.

%package static
Summary:	libHX static library
Summary(pl.UTF-8):	Statyczna biblioteka libHX
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libHX static library.

%description static -l pl.UTF-8
Statyczna biblioteka libHX.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--enable-static

%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libhx

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/changelog.txt doc/libHX_Documentation.pdf
%attr(755,root,root) %{_libdir}/libHX.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libHX.so.28
%{_libdir}/libHX_rtcheck.so

%files devel
%defattr(644,root,root,755)
%doc doc/[!c]*.txt
%attr(755,root,root) %{_libdir}/libHX.so
%{_includedir}/libHX.h
%{_includedir}/%{name}
%{_pkgconfigdir}/libHX.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libHX.a
%{_libdir}/libHX_rtcheck.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libHX.spec,v $
Revision 1.22  2012/02/03 19:33:22  glen
- up to 3.12.1

Revision 1.21  2011/04/07 07:38:34  lisu
- up to 3.10.1
- drop libtool file
- new version of soname
- drop hxdirstamp binary

Revision 1.20  2011/02/02 02:04:18  sparky
- auto*ize
- BR: autoconf, automake, libtool

Revision 1.19  2011/01/17 12:50:37  lisu
- up to 3.9.1
- package hxdirstamp program and its man page

Revision 1.18  2010/12/03 12:04:09  lisu
- up to 3.8

Revision 1.17  2010/09/03 08:14:15  zbyniu
- CVE note added

Revision 1.16  2010/08/17 11:02:51  lisu
- up to 3.6 (CVE-2010-2947)

Revision 1.15  2010/08/02 06:55:40  lisu
- updated to 3.5
- .so updated to version 25
- package libHX_Documentation.pdf as doc

Revision 1.14  2010/06/02 12:30:45  sparky
- added tar BR

Revision 1.13  2010/04/06 07:03:55  lisu
- up to 3.4

Revision 1.12  2009/10/13 09:23:01  lisu
- up to 3.2
- BR: pkgconfig

Revision 1.11  2009/09/14 12:37:35  lisu
- up to 3.1
- remove commented gcc3.patch

Revision 1.10  2009/09/08 12:58:28  lisu
- up to 3.0.1

Revision 1.9  2009/08/27 13:45:12  lisu
- unified sourceforge url

Revision 1.8  2009/08/27 13:41:31  lisu
- up to 3.0
- new ghost soname symlink version

Revision 1.7  2009/08/22 19:46:42  gzohop
- up to 2.9
- patch no needed

Revision 1.6  2009/04/21 09:26:57  glen
- include stddef.h for offsetof (thx patrys)

Revision 1.5  2009/01/05 21:29:44  duddits
- up to 2.2
- %files tune-up

Revision 1.4  2008/09/08 20:16:01  wolvverine
- up to 1.25, URL, SOURCE0, STBR

Revision 1.3  2008/01/21 19:29:54  qboosh
- oops, typo
- verbose make

Revision 1.2  2008-01-21 19:26:17  qboosh
- pl
- cleanup, removed false comment (no C++ inside)
- more verbose files, ghost soname symlink, moved changelog.txt to base doc

Revision 1.1  2007-12-12 14:46:20  pascalek
- initial revision
